Name: kuake
License: 	GPL
Group: 		Productivity/Networking/System
Summary: 	Quake style KDE konsole 
Summary(de): 	Quake style KDE konsole
Packager: 	Carsten Schoene <cs@linux-administrator.com>
Version: 	0.3
Release: 	21.7
URL: 		http://www.nemohackers.org/kuake.php
BuildRoot: 	%{_tmppath}/%{name}-%{version}-build
Source0: 	http://199.231.140.154/software/kuake/%{name}-%{version}.tar.gz
%if 0%{?suse_version}
BuildRequires:	update-desktop-files
%endif
%if 0%{?centos_version} >= 5 || 0%{?rhel_version} >= 500
BuildRequires:	libutempter-devel
%endif

BuildRequires:	qt3-devel gcc-c++ kdelibs3-devel libjpeg-devel zlib-devel bzip2 pkgconfig

%description -l de
Kuake ist eine KDE konsole wie im Spiel Quake. Sie integriert sich genauso im KDE Desktop.

%description
Kuake is a KDE konsole application with the look and feel of that in the Quake engine. 
It intends to create seamless integration of a konsole to your KDE desktop.



Authors:
--------
	nemo <martin@nemohackers.org>


%prep
%setup -q

%build
%if 0%{?suse_version}
        . /etc/opt/kde3/common_options
        export QTDIR=%_libdir/qt3
	%define prefix /opt/kde3
        CFLAGS="$RPM_OPT_FLAGS" CPPFLAGS="$RPM_OPT_FLAGS" ./configure $configkde --disable-final --libdir=$kde_libdir \
%else
%if 0%{?centos_version} == 4
        source "%{_sysconfdir}/profile.d/qt.sh"
	CFLAGS="`pkg-config --libs qt-mt`" CPPFLAGS="`pkg-config --libs qt-mt`" \
%endif
	%define prefix %{_prefix}
        ./configure --prefix=%{_prefix} --libdir=%{_libdir} \
%endif
%if 0%{?centos_version} == 4
        --with-xinerama \
        --with-extra-libs=%{_libdir} \
%endif
        --disable-rpath

%{__make}

%install
make DESTDIR=$RPM_BUILD_ROOT install-strip
%if 0%{?suse_version}
%suse_update_desktop_file %name System Terminals
%find_lang %name
%endif

%clean
rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/kvpnc*
rm -rf ../file.list.kvpnc

%files
%defattr(-,root,root)
%{prefix}/bin/kuake
%if 0%{?suse_version}
%{prefix}/share/applications/kde/kuake.desktop
%else
%{prefix}/share/applnk/Utilities/kuake.desktop
%endif
%{prefix}/share/apps/kuake/kuakeui.rc
%{prefix}/share/doc/HTML/en/kuake/*
%{prefix}/share/icons/locolor/16x16/apps/kuake.png
%{prefix}/share/icons/locolor/32x32/apps/kuake.png

%changelog
* Sun Feb 17 2008 Carsten Schoene <cs@linux-administrator.com>
- port this package to buildservice

* Fri Oct 07 2005 Carsten Schoene <cs@linux-administrator.com>
- rebuild for SuSE 10.0

